using Microsoft.Extensions.DependencyInjection;
using StellaOps.Excititor.Core;

namespace StellaOps.Excititor.Formats.OpenVEX;

public static class OpenVexFormatsServiceCollectionExtensions
{
    public static IServiceCollection AddOpenVexNormalizer(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.AddSingleton<IVexNormalizer, OpenVexNormalizer>();
        return services;
    }
}
